Name:		firmware-tools
Version:	2.1.15
Release:	%mkrel 7
Summary:	Scripts and tools to manage firmware and BIOS updates
Group:		System/Kernel and hardware
License:	GPLv2+
URL:		http://linux.dell.com/libsmbios/download/ 
Source0:	http://linux.dell.com/libsmbios/download/%{name}/%{name}-%{version}/%{name}-%{version}.tar.bz2
BuildRequires:	python-devel
Requires:	python-rpm
BuildArch:	noarch

%description
The firmware-tools project provides tools to inventory hardware and a plugin
architecture so that different OEM vendors can provide different inventory
components. It is intended to tie to the package system to enable seamless
installation of updated firmware via your package manager, as well as provide
a framework for BIOS and firmware updates.

%prep
%setup -q

find . -type f | xargs perl -pi -e 's|#!/usr/bin/python2|#!/usr/bin/python|'

%build
%configure2_5x

%make

%install
%makeinstall_std
mkdir -p %{buildroot}/%{_sysconfdir}/firmware/firmware.d/
mkdir -p %{buildroot}/%{_datadir}/firmware

%files
%doc COPYING-GPL COPYING-OSL README
%{python_sitelib}/*
%{_sbindir}/*
%{_datadir}/firmware-tools/
%dir %{_sysconfdir}/firmware
%dir %{_sysconfdir}/firmware/firmware.d
%config(noreplace) %{_sysconfdir}/firmware/firmware.conf
%{_datadir}/firmware/




%changelog
* Sat Feb 06 2016 umeabot <umeabot> 2.1.15-7.mga6
+ Revision: 940207
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.1.15-6.mga5
+ Revision: 746625
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.1.15-5.mga5
+ Revision: 679212
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 2.1.15-4.mga5
+ Revision: 628182
- Rebuild for new Python

* Fri Oct 18 2013 umeabot <umeabot> 2.1.15-3.mga4
+ Revision: 504482
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 2.1.15-2.mga3
+ Revision: 350453
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 30 2012 tv <tv> 2.1.15-1.mga3
+ Revision: 323295
- FC tarball is compressed with bzip2
- new release (from FC)

* Fri Dec 30 2011 pterjan <pterjan> 2.1.14-2.mga2
+ Revision: 189135
- Fix dependency

* Thu Dec 15 2011 tv <tv> 2.1.14-1.mga2
+ Revision: 182307
- imported package firmware-tools


* Sun Nov 07 2010 Jani Välimaa <wally@mandriva.org> 2.1.14-1mdv2011.0
+ Revision: 594670
- new version 2.1.14

* Sun Nov 07 2010 Jani Välimaa <wally@mandriva.org> 2.1.9-2mdv2011.0
+ Revision: 594634
- rebuild for python 2.7

* Thu Sep 23 2010 Guillaume Rousse <guillomovitch@mandriva.org> 2.1.9-1mdv2011.0
+ Revision: 580711
- update to new version 2.1.9

* Thu Sep 10 2009 Thierry Vignaud <tv@mandriva.org> 2.1.5-2mdv2010.0
+ Revision: 437547
- rebuild

* Tue Feb 10 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 2.1.5-1mdv2009.1
+ Revision: 339268
- update to new version 2.1.5
- new license policy
- spec file clean

* Tue Jan 06 2009 Funda Wang <fwang@mandriva.org> 1.5.6-5mdv2009.1
+ Revision: 325207
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 1.5.6-4mdv2009.0
+ Revision: 245193
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 1.5.6-2mdv2008.1
+ Revision: 136415
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Sep 07 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.5.6-2mdv2008.0
+ Revision: 81964
- fix shellbang

* Tue Sep 04 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.5.6-1mdv2008.0
+ Revision: 79553
- import firmware-tools


* Mon Sep 03 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.5.6-1mdv2008.0
- contributed by Olivier Lahaye <olivier.lahaye at free.fr>
